{% extends 'property_vacancy_management/building_unit/archive/overview.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/archive/overview_list') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/archive/overview_list') }}
{% endblock %}

{% block main %}
    <div class="container-fluid mt-4">
        <div class="mdc-card mb-4">
            {% set actionChoices = [] %}

            {% if (is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') or is_granted('ROLE_PROPERTY_PROVIDER')) == true %}
                {% set actionChoices = actionChoices|merge([
                    {'label': 'Aus dem Archiv wiederherstellen', 'value': path('property_vacancy_management_building_unit_archive_mass_operation_unarchive')},
                    {'label': 'Löschen', 'value': path('property_vacancy_management_building_unit_archive_mass_operation_delete')},
                ]) %}
            {% endif %}

            {% include 'property_vacancy_management/component/building_unit/building_unit_list_component.html.twig' with {
                'idPrefix': 'building_unit_archive_overview_',
                'listItems': buildingUnits,
                'massOperation': (is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') or is_granted('ROLE_PROPERTY_PROVIDER')),
                'showActionButton': true,
                'pagination': true,
                'sortable': true,
                'noEntriesText': 'Leider wurden keine Objekte gefunden',
                'actionChoices': actionChoices
            } only %}
        </div>
    </div>
{% endblock %}
